summaryrefslogtreecommitdiffstats
path: root/desktop/xsession/xsession.SlackBuild
diff options
context:
space:
mode:
author Richard Ellis <rellis@dp100.com>2010-05-12 23:28:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:32 +0200
commita142ded97a9948c02974c8197c6829498fda8686 (patch)
tree29fa66d4b35bb56e6622fdf1eae804a242fc0a91 /desktop/xsession/xsession.SlackBuild
parent8e7bd5508cbd8a27c3ac76c97529f769b806f72c (diff)
downloadslackbuilds-a142ded97a9948c02974c8197c6829498fda8686.tar.gz
slackbuilds-a142ded97a9948c02974c8197c6829498fda8686.tar.xz
desktop/xsession: Added to 12.2 repository
Diffstat (limited to 'desktop/xsession/xsession.SlackBuild')
-rw-r--r--desktop/xsession/xsession.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/desktop/xsession/xsession.SlackBuild b/desktop/xsession/xsession.SlackBuild
new file mode 100644
index 0000000000..9fb16fc0a7
--- /dev/null
+++ b/desktop/xsession/xsession.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for xsession
+
+# Written by Richard Ellis (rellis@dp100.com)
+
+# Released into the public domain June 8, 2009
+
+PRGNAM=xsession
+VERSION=${VERSION:-1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# xsession uses xmkmf instead of configure, need to patch the Imakefile
+# slightly to put some things in the proper destinations
+patch -p0 < $CWD/Imakefile.patch
+
+xmkmf -a
+make CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+make install.man DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ # xsession installs it's manpage as .1x, change that to .1
+ mv man1/xsession.1x man1/xsession.1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ examples/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz